Retrieves the status of a backup of a WordPress installation
GET /installs/{install_id}/backups/{backup_id}
Retrieves the status of a backup of a WordPress installation. Possible statuses include
requestedin_progresscompletedabortedinitiatedhas been deprecated forin_progress.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”ID of install
ID of backup
Responses
Section titled “ Responses ”A backup
object
The unique identifier of the backup
Example
e41fa98f-ea80-4654-b229-a9b765d0863aState of the backup.
Example
completedHuman-readable description provided when the backup was requested
Example
Pre-deploy snapshotTimestamp when the backup was created
Example
2024-01-15T10:00:00ZTimestamp when the backup completed. null while the backup is still in progress.
Example
2024-01-15T10:30:00ZWordPress version of the install at the time the backup was taken
Example
6.4.2Bad Request
object
A message regarding the error that occurred on the server
Example
Invalid Site: Name cannot be empty.(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
Example
Site(Optional) The specific field associated with the error
Example
name(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
Example
invalid_value(Optional) A machine code relating to the error that occurred with the field and resource
Example
too_long(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
Name is too long (maximum is 40 characters)Authentication Error
object
A message regarding the error that occurred on the server
Example
Bad Credentials(Optional) A URL where documentation regarding this specific error can be found
Not found
object
A message regarding the error that occurred on the server
Example
Not Found(Optional) A URL where documentation regarding this specific error can be found
Too many requests
Service unavailable